%define version	0.5.7
%define release	%mkrel 2

%define scim_version	1.4.5
%define skim_version	1.4.5

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-tables
Summary:	Data files for SCIM Generic Table input method module
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.net/projects/scim/
Source0:		http://ovh.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.bz2
Patch1:		scim-tables-0.5.0-fix-l10n.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		scim >= %{scim_version}
Requires:		%{libname} = %{version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		libskim-devel >= %{skim_version}

%description
This package includes many data files for 
SCIM Generic Table input method module.
The data files are came from unicon and xcin.


%package -n %{libname}
Summary:	Scim-tables library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}

%description -n %{libname}
Scim-tables library.

%package skim
Summary:	Skim setup plugin for scim-tables
Group:		System/Internationalization
Requires:	%{name} = %{version} 
Requires:       skim = %{skim_version}

%description skim
This package contains skim setup plugin for scim-tables.


%prep
%setup -q
%patch1 -p1

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}
%find_lang skim-scim-tables

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/scim-make-table
%{_datadir}/scim/tables/*.bin
%{_datadir}/scim/icons/*.png
%_mandir/man1/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so

%files skim -f skim-scim-tables.lang
%defattr(-,root,root)
%doc COPYING
%{_datadir}/apps/skim/pics/scim-tables.png
%{_datadir}/config.kcfg/generictable.kcfg
%{_datadir}/services/skimconfiguredialog/skimplugin_scim_table_config.desktop
%{_libdir}/kde3/kcm_skimplugin_scim_tables.la
%{_libdir}/kde3/kcm_skimplugin_scim_tables.so


%changelog
* Tue Oct 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.5.7-2mdv2007.0
+ Revision: 66013
- Import scim-tables




* Mon Oct 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.7-2mdv2007.0
- split off scim-tables-skim
- (http://archives.mandrivalinux.com/cooker-i18n/2006-10/msg00017.php)

* Mon Oct 09 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.7-1mdv2007.0
- new release
- remove patch2

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.6-1mdk
- new release

* Tue Dec 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.5-1mdk
- new release

* Tue Nov 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.4-1mdk
- new release

* Mon Aug 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5.3-2mdk
- add BuildRequires: libskim-devel

* Thu Aug 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.5.3-1mdk
- New release 0.5.3
	- A potential crash bug has been fixed
	- A bug in Nepali_Rom table has been fixed
	- A bug in configuration script, which cause wrong 
		installation path of skim modules, has been fixed

* Thu Aug 11 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.5.2-1mdk
- new release 0.5.2
	- Keyboard layout support was implemented, 
			therefore scim 1.4.0 is required.
	- A new Chinese table (Wu Pinyin scheme) has been added.
	- Two new Nepali tables have been added.
	- Two misc tables, LaTeX and IPA-X-SAMPA have been added.
	- Skim setup module has been merged into this package.

* Tue Jul 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.5.1-5mdk
- Rebuild for new scim ( 1.4.0 )

* Mon Jun 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.5.1-4mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.5.1-3mdk
- Rebuild for new scim
- %%mkrel 

* Fri Mar 11 2005 Abel Cheung <deaddog@mandrake.org> 0.5.1-2mdk
- Reupload

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-2mdk
- new release
- kill patch 0 (merged upstream)

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-2mdk
- patch 0: update japanese translation
- patch 1: let make rebuild po if binary catalogs are older

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.0-1mdk
- new release
- remove scim from BuildRequires
- (scim-make-table is included in scim-tables)
- spec cleanup

* Thu Feb 10 2005 Abel Cheung <deaddog@mandrake.org> 0.4.3-3mdk
- Patch0, Source1: Add 7 new tables and 3 fixed tables from CVS

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.3-2mdk
- rebuild with scim-1.0.2

* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.3-1mdk
- new release

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- new release
- bump scim buildrequires

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-1mdk
- fix buildrequires
- new release

* Mon Jul 05 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-3.cvs20040705.1mdk
- cvs 20040705

* Thu Jun 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.0-1mdk
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- fix buildrequires

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.5-2mdk
- 20040613cvs

* Fri Jun 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.5-1mdk
- initial spec for mdk from UTUMI Hirosi <utuhiro78@yahoo.co.jp>
